Entities\Skill:
    type: entity
    table: skill
    repositoryClass: Repositories\SkillRepository
    id:
        id:
            type: integer
            id: true
            generator:
                strategy: AUTO
    fields:
        name:
            type: string
            nullable: false
        percentage:
            type: integer
            nullable: false
        position:
            type: integer
            nullable: false

    lifecycleCallbacks: { }